<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){	
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/dokter/cari.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(kode);
				$("#txt_nama").val(data.nama);
				$("#txt_spesialis").val(data.spesialis);
				$("#txt_alamat").val(data.alamat);
				$("#txt_nohp").val(data.nohp);
				$("#txt_prosenkom").val(data.prosenkom);
				$("#info").html("Data sudah di tampung pada tab inputan, silahkan klik.");
			}
		});
	}
	
	function hapus_data(ID){
		var kode = ID;
		var pilih = confirm('Data yang akan dihapus kode = '+ID+' ?');
		
		if(pilih==true){
			$.ajax({
				type	: "POST",
				url		: "modul/dokter/hapus.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$("#tampil_data").load('modul/dokter/tampil_data.php');
				}
			});
		}
	}

</script>
<?php
include '../../inc/inc.koneksi.php';

$cari= $_GET['cari'];

echo "<table id='theList' width='100%'>		
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Dokter</th>
			<th>Spesialis</th>
			<th>Alamat</th>
			<th>Nomor HP</th>
			<th>Komisi</th>
			<th>Update Terakhir</th>
			<th>Aksi</th>
		</tr>";
		if(!empty($cari))
			$sql= "SELECT * FROM dokter WHERE (nama LIKE '%$cari%') ORDER BY kode_dt";
		else
			$sql= "SELECT * FROM dokter ORDER BY kode_dt";
		$query = mysql_query($sql);
		
		$no=1;
		while($r=mysql_fetch_array($query)){
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r[kode_dt]</td>
				<td>$r[nama]</td>
				<td>$r[spesialis]</td>
				<td>$r[alamat]</td>
				<td>$r[nohp]</td>
				<td align='center'>$r[prosen_kom] %</td>
				<td>$r[lastupdate]</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$r[kode_dt]')\">
					    <img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' >
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$r[kode_dt]')\">
					    <img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>					
				</td>
			</tr>";
			$no++;
		}
	echo "</table>";
?>